Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1604)

Issue 1534193004: Use std::move() instead of scoped_ptr<>::Pass(). (Closed)

Created:
4 years, 5 months ago by Sergey Ulanov
Modified:
4 years, 5 months ago
Reviewers:
Jamie
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use std::move() instead of scoped_ptr<>::Pass() in remoting/protocol Now there is a presubmit check that doesn't allow Pass() anymore. See https://www.chromium.org/rvalue-references for information about std::move in chromium. Committed: https://crrev.com/aa6fa234d0649238dfddf6eb7aa80d0ddc71e66f Cr-Commit-Position: refs/heads/master@{#366687}

Patch Set 1 : #

Total comments: 8
Unified diffs Side-by-side diffs Delta from patch set Stats (+170 lines, -173 lines) Patch
M remoting/protocol/authenticator_test_base.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/capture_scheduler.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/capture_scheduler_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/channel_dispatcher_base.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 8 chunks +8 lines, -8 lines 0 comments Download
M remoting/protocol/channel_multiplexer_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/chromium_port_allocator.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/client_video_dispatcher.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M remoting/protocol/connection_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/content_description.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/content_description_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_authenticator.cc View 4 chunks +6 lines, -8 lines 2 comments Download
M remoting/protocol/fake_connection_to_client.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/fake_datagram_socket.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/fake_desktop_capturer.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_stream_socket.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/host_video_dispatcher.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/ice_connection_to_client.cc View 3 chunks +6 lines, -6 lines 2 comments Download
M remoting/protocol/ice_connection_to_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/ice_transport_channel.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/ice_transport_unittest.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/jingle_messages.cc View 5 chunks +5 lines, -5 lines 0 comments Download
M remoting/protocol/jingle_session.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/jingle_session_manager.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M remoting/protocol/jingle_session_unittest.cc View 7 chunks +10 lines, -9 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 2 chunks +3 lines, -3 lines 4 comments Download
M remoting/protocol/message_reader.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/monitored_video_stub.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/monitored_video_stub_unittest.cc View 3 chunks +5 lines, -5 lines 0 comments Download
M remoting/protocol/negotiating_authenticator_base.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/negotiating_client_authenticator.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/negotiating_host_authenticator.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/pairing_authenticator_base.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/pairing_registry.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/pairing_registry_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/protobuf_message_parser.h View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/protocol_mock_objects.cc View 2 chunks +4 lines, -6 lines 0 comments Download
M remoting/protocol/pseudotcp_adapter.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/pseudotcp_channel_factory.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/secure_channel_factory.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/session_config.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator.cc View 7 chunks +11 lines, -11 lines 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator_unittest.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/third_party_authenticator_base.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/third_party_authenticator_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/third_party_client_authenticator.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/third_party_host_authenticator.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/transport_context.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/v2_authenticator.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/video_frame_pump.cc View 7 chunks +9 lines, -9 lines 0 comments Download
M remoting/protocol/video_frame_pump_unittest.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M remoting/protocol/webrtc_connection_to_client.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M remoting/protocol/webrtc_transport.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/webrtc_transport_unittest.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/webrtc_video_capturer_adapter.cc View 1 chunk +1 line, -1 line 0 comments Download

Dependent Patchsets:

Messages

Total messages: 18 (9 generated)
Sergey Ulanov
Will update other parts of src/remoting in separate CLs
4 years, 5 months ago (2015-12-19 00:20:34 UTC) #4
Sergey Ulanov
Joe is on vacation +jamiewalch -joedow
4 years, 5 months ago (2015-12-21 18:22:14 UTC) #6
Jamie
Jamie is also on vacation :) I think a reference to https://www.chromium.org/rvalue-references in the CL ...
4 years, 5 months ago (2015-12-22 12:23:36 UTC) #7
Sergey Ulanov
On 2015/12/22 12:23:36, Jamie wrote: > Jamie is also on vacation :) Ah, it wasn't ...
4 years, 5 months ago (2015-12-22 17:02:44 UTC) #9
Sergey Ulanov
https://codereview.chromium.org/1534193004/diff/20001/remoting/protocol/fake_authenticator.cc File remoting/protocol/fake_authenticator.cc (right): https://codereview.chromium.org/1534193004/diff/20001/remoting/protocol/fake_authenticator.cc#newcode221 remoting/protocol/fake_authenticator.cc:221: return std::move(authenticator); On 2015/12/22 12:23:36, Jamie wrote: > I ...
4 years, 5 months ago (2015-12-22 18:07:35 UTC) #10
Jamie
On 2015/12/22 18:07:35, Sergey Ulanov wrote: > https://codereview.chromium.org/1534193004/diff/20001/remoting/protocol/fake_authenticator.cc > File remoting/protocol/fake_authenticator.cc (right): > > https://codereview.chromium.org/1534193004/diff/20001/remoting/protocol/fake_authenticator.cc#newcode221 ...
4 years, 5 months ago (2015-12-22 22:13:24 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1534193004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1534193004/20001
4 years, 5 months ago (2015-12-22 22:53:35 UTC) #14
commit-bot: I haz the power
Committed patchset #1 (id:20001)
4 years, 5 months ago (2015-12-22 23:26:56 UTC) #16
commit-bot: I haz the power
4 years, 5 months ago (2015-12-22 23:27:45 UTC) #18
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/aa6fa234d0649238dfddf6eb7aa80d0ddc71e66f
Cr-Commit-Position: refs/heads/master@{#366687}

Powered by Google App Engine
This is Rietveld 408576698